aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--test-scenarios/install_python_twice.sh15
-rw-r--r--test-scenarios/scenarios.json15
-rw-r--r--testCases.json29
3 files changed, 30 insertions, 29 deletions
diff --git a/test-scenarios/install_python_twice.sh b/test-scenarios/install_python_twice.sh
new file mode 100644
index 0000000..9750ddd
--- /dev/null
+++ b/test-scenarios/install_python_twice.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "version" python --version
+
+# ...
+# ...
+
+# Report result
+reportResults
diff --git a/test-scenarios/scenarios.json b/test-scenarios/scenarios.json
new file mode 100644
index 0000000..a4d3fa2
--- /dev/null
+++ b/test-scenarios/scenarios.json
@@ -0,0 +1,15 @@
+{
+ "install_python_twice": {
+ "image": "mcr.microsoft.com/vscode/devcontainers/base:focal",
+ "features": [
+ {
+ "id": "python",
+ "version": "3.8"
+ },
+ {
+ "id": "python",
+ "version": "3.9"
+ }
+ ]
+ }
+} \ No newline at end of file
diff --git a/testCases.json b/testCases.json
deleted file mode 100644
index e2dfcab..0000000
--- a/testCases.json
+++ /dev/null
@@ -1,29 +0,0 @@
-[
- {
- "_id": "go then dotnet",
- "features": [
- {
- "id": "go",
- "version": "1.17"
- },
- {
- "id": "dotnet",
- "version": "latest",
- "runtimeOnly": true
- }
- ],
- "image": "mcr.microsoft.com/vscode/devcontainers/base:focal"
- },
- {
- "_id": "python then jupyter",
- "features": [
- {
- "id": "python"
- },
- {
- "id": "jupyterlab"
- }
- ],
- "image": "mcr.microsoft.com/vscode/devcontainers/base:focal"
- }
-] \ No newline at end of file